Important iOS Upgrades For older iPads and iPhones (2012 and earlier)

October 30, 2019 Aspin App Store PixSell reviews, News, PixSell Tags: , , , , ,

Apple has issued an official warning urging users of devices from 2012 and earlier to update the software to the latest available version before the 3rd of November 2019:

“Starting just before 12:00 a.m. UTC on November 3, 2019, Unknownsome iPhone and iPad models introduced in 2012 and earlier will require an iOS update to maintain accurate GPS location. This is due to the GPS time rollover issue that began affecting GPS-enabled products from other manufacturers on April 6, 2019. Affected Apple devices are not impacted until just before 12:00 a.m. UTC on November 3, 2019”

https://support.apple.com/en-gb/HT210239

Although many of our PixSell users have subsequently updated their devices, many have not. If these devices are not updated to the newest version of iOS before November 3, some models might not be able to maintain an accurate GPS position and may experience issues with App Store, iCloud, email and web browsing.

As part of our ongoing commitment to be our customers’ preferred IT supplier, with the 3rd of November deadline fast approaching, we wanted to remind and encourage you to ask your users to update their iPads to the latest version of iOS.

To do this, go to Settings, General and Software Update.

If you are not running the most recent version of iOS supported by your device, you will be given the opportunity to do so.

Of course, if you have questions regarding this, please contact Aspin Support on 01794 500 205.